%define _requires_exceptions perl(Shutter::.*)\\|perl(WebService::Dropbox)
%define _provides_exceptions perl(.*)

Summary:	Feature-rich screenshot application
Name:		shutter
Version:	0.94
Release:	%mkrel 1
License:	GPLv3
Group:		Graphical desktop/GNOME
URL:		http://shutter-project.org/
Source:		http://shutter-project.org/wp-content/uploads/releases/tars/%{name}-%{version}.tar.xz
Patch1:		shutter-0.93.1-fix-utf8-locale.patch
Patch2:		CVE-2015-0854.patch
Patch3:		shutter-0.93.1-fix-left-brace-warn.patch
Patch4:		shutter-JSON-v0.2.0.patch
Patch5:     CVE-2016-10081.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:	noarch
Requires: perl-Gnome2-Canvas
Requires: perl-Gnome2-GConf
Requires: perl-Gnome2-Wnck
Requires: perl-WWW-Mechanize
Requires: perl-X11-Protocol
Requires: perl-File-Copy-Recursive
Requires: perl-File-HomeDir
Requires: perl-File-MimeInfo
Requires: perl-File-Which
Requires: perl-Gnome2
Requires: perl-Goo-Canvas
Requires: perl-Gtk2
Requires: perl-Moose
Requires: perl-Proc-Simple
Requires: perl-Gtk2-ImageView
Requires: perl-Gtk2-Unique
Requires: perl-Net-DBus-GLib
Requires: perl-Proc-ProcessTable
Requires: perl-Image-ExifTool
Requires: ImageMagick
Requires: perl-Image-Magick
Requires: perl-JSON-XS
Requires: perl-HTML-Form
Obsoletes: %name < %version


%description
Shutter is a feature-rich screenshot program. You can take a screenshot of a
specific area, window, your whole screen, or even of a website - apply different
effects to it, draw on it to highlight points, and then upload to an image
hosting site, all within one window.

%prep
%setup -q 
%patch1 -p1 -b .UTF8_LOCALE_
%patch3 -p1 -b .LEFT_BRACE_WARN

# Confuses the shutter installer.
rm -f $(find . -name '*.LEFT_BRACE_WARN')
rm -f $(find . -name '*.UTF8_LOCALE_')

%build


%install
rm -rf %{buildroot}

install -d -m 755 %{buildroot}%{_bindir}
install -m 755 bin/shutter %{buildroot}%{_bindir}

install -d -m 755 %{buildroot}%{_datadir}
cp -pr share/* %{buildroot}%{_datadir}

install -d -m 0755 $RPM_BUILD_ROOT%{_datadir}/applications
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/shutter.desktop << EOF
[Desktop Entry]
Name=Shutter
Name[de]=Shutter
Comment=Capture, edit and share screenshots
Comment[de]=Bildschirmfotos aufnehmen, bearbeiten und mit Anderen teilen
Exec=shutter
Icon=shutter
Terminal=false
Type=Application
Categories=Utility;X-MandrivaLinux-Multimedia-Graphics;
MimeType=image/bmp;image/jpeg;image/gif;image/png;image/tiff;image/x-bmp;image/x-ico;image/x-png;image/x-pcx;image/x-tga;image/xpm;image/svg+xml;
X-Desktop-File-Install-Version=0.18
Encoding=UTF-8
EOF


%find_lang %{name}
%find_lang %{name}-plugins
%find_lang %{name}-upload-plugins
cat %{name}-plugins.lang >> %{name}.lang
cat %{name}-upload-plugins.lang >> %{name}.lang

%clean 
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc README COPYING
%{_bindir}/shutter
%{_datadir}/shutter
%{_datadir}/applications/shutter.desktop
%{_mandir}/man1/*
%{_iconsdir}/ubuntu-mono-dark/*
%{_iconsdir}/ubuntu-mono-light/*
%{_iconsdir}/hicolor/*
%{_datadir}/pixmaps/%{name}.png
%{_iconsdir}/HighContrast/scalable/apps/shutter-panel.svg
%{_iconsdir}/HighContrast/scalable/apps/shutter.svg
%{_datadir}/appdata/shutter.appdata.xml

%changelog
* Sat May 26 2018 tex - 0.94-1pclos2018
- new version

* Tue Aug 22 2017 bb2 <bb2> - 0.93.1-2pclos2017
- rebuild

* Tue Dec 08 2015 bb <bb> - 0.93.1-1pclos2015
- update

